Subject: Re: ssh: connection closed by remote host
From: Marco Craveiro <[email-masked]>
To: "Sommer, Thorsten" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: 17 Dec 2001 23:26:15 +0000

On Mon, 2001-12-17 at 13:57, Sommer, Thorsten wrote:
> Hola, list ...
> 
> after once again scanning hte mailing list archives, the web,
> the documentation, some books and other stuff, I am still helpless
> on this one.
> 
> Attached are two snippets of my unsuccessful attempts to connect
> to sshd.
> 
> On the client side I always get "connection closed by remote host"
> and after trying the whole weekend on this, I really give up ...
> 
> Any help would really be appreciated.
> Th.
> 
> PD: Software version is current. OS is W2K on both sides, daemon
>     sits on a "hardened" W2K server in our extranet.
> 
> -- 
> Thorsten Sommer
> 
> Any technology distinguishable from magic is insufficiently advanced.
> 
> 
> ------------ 
> 
> Log on daemon side:
> 
> debug2: callback done
> debug2: callback start
> debug1: session_by_channel: session 0 channel 0
> debug1: session_input_channel_req: session 0 channel 0 request shell reply 0
> debug1: channel 0: rfd 7 isatty
> debug1: fd 7 setting O_NONBLOCK
> debug1: fd 3 setting O_NONBLOCK
> debug2: callback done
> 
> <-- here I get a 1-2 second delay -->
> 
> debug1: Received SIGCHLD.
> debug1: session_by_pid: pid 3492
> debug1: session_exit_message: session 0 channel 0 pid 3492
> debug1: session_exit_message: release channel 0
> debug1: channel 0: write failed
> debug1: channel 0: output open -> closed
> debug1: channel 0: close_write
> debug1: session_close: session 0 pid 3492
> debug1: session_pty_cleanup: session 0 release /dev/tty1
> Read error from remote host: errno ESHUTDOWN triggered
> debug1: Calling cleanup 0x41eb04(0x0)
> debug1: channel_free: channel 0: server-session, nchannels 1
> debug3: channel_free: status: The following connections are open:
>   #0 server-session (t4 r0 i1/262 o128/0 fd 7/-1)
> 
> debug3: channel_close_fds: channel 0: r 7 w -1 e -1
> debug1: Calling cleanup 0x4169ac(0x0)
> 
> ------------ 
> 
> Log on client side:
> 
> debug1: channel request 0: shell
> debug2: callback done
> debug1: channel 0: open confirm rwindow 0 rmax 16384
> debug2: channel 0: rcvd adjust 32768
> debug3: Trying to reverse map address 10.211.177.94.
> Could not reverse map address 10.211.177.94.
> Last login: Mon Dec 17 14:47:09 2001 from 10.211.177.94
> 
> <-- here I get a 1-2 second delay -->
> 
> debug1: channel_free: channel 0: client-session, nchannels 1
> debug3: channel_free: status: The following connections are open:
>   #0 client-session (t4 r0 i1/0 o16/0 fd 4/5)
> 
> debug3: channel_close_fds: channel 0: r 4 w 5 e 6
> Connection to 194.114.32.239 closed by remote host.
> Connection to 194.114.32.239 closed.
> debug1: Transferred: stdin 0, stdout 0, stderr 91 bytes in 7.4 seconds
> debug1: Bytes per second: stdin 0.0, stdout 0.0, stderr 12.2
> debug1: Exit status -1
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 
olá Thorsten,

I didn't quite follow your ssh quest :-) but have you tried to isolate
the fault? if you havent done so yet, you can perhaps bring a linux box
in and use it as a client to make sure the server works (and revert the
process for the client). best use the same ip addresses as well...

good luck! 

-- 
And basically I sat in front of a conputer for four years. -- linus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/